Skip to main content
GET
/
tax
/
customers
curl "https://api.numeralhq.com/tax/customers" \
  -H "Authorization: Bearer sk_test_xxx" \
  -H "X-API-Version: 2026-03-01"
{
  "customers": [
    {
      "id": "cust_6126acaf-7379-411a-8ada-00005bac0715",
      "object": "tax.customer",
      "reference_customer_id": "20506",
      "name": "Customer Name",
      "email": "customer@example.com",
      "is_tax_exempt": false
    },
    {
      "id": "cust_9876543210abcdef",
      "object": "tax.customer",
      "reference_customer_id": "20507",
      "name": "Tax Exempt Customer",
      "email": "exempt@example.com",
      "is_tax_exempt": true
    }
  ],
  "has_more": true,
  "last_customer_id": "cust_9876543210abcdef"
}

Documentation Index

Fetch the complete documentation index at: https://docs.numeral.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve a paginated list of all customers for your account. Deleted customers are not included.
Remember to include the X-API-Version: 2026-03-01 header in your request to use this API version.

Headers

Authorization
string
required
Bearer token authentication.
X-API-Version
string
required
Must be 2026-03-01.

Query Parameters

cursor
string
Pagination cursor from a previous response. Use the last_customer_id from the previous response.

Response

customers
array
Array of customer objects.
has_more
boolean
Whether there are more customers to fetch.
last_customer_id
string
The ID of the last customer in this response. Use as cursor for the next page.
curl "https://api.numeralhq.com/tax/customers" \
  -H "Authorization: Bearer sk_test_xxx" \
  -H "X-API-Version: 2026-03-01"
{
  "customers": [
    {
      "id": "cust_6126acaf-7379-411a-8ada-00005bac0715",
      "object": "tax.customer",
      "reference_customer_id": "20506",
      "name": "Customer Name",
      "email": "customer@example.com",
      "is_tax_exempt": false
    },
    {
      "id": "cust_9876543210abcdef",
      "object": "tax.customer",
      "reference_customer_id": "20507",
      "name": "Tax Exempt Customer",
      "email": "exempt@example.com",
      "is_tax_exempt": true
    }
  ],
  "has_more": true,
  "last_customer_id": "cust_9876543210abcdef"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
enum<string>
required
Available options:
2026-03-01

Query Parameters

cursor
string

Pagination cursor from previous response. Use the last_customer_id from the previous response.

Response

List of customers

customers
object[]
has_more
boolean

Whether there are more customers to fetch

last_customer_id
string

Use as cursor for next page